--@Author: 
--@Web: 

GuetermarktPlaceable = {};
GuetermarktPlaceable_mt = Class(GuetermarktPlaceable, Placeable);
InitObjectClass(GuetermarktPlaceable, "GuetermarktPlaceable");

function GuetermarktPlaceable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, GuetermarktPlaceable_mt);
    registerObjectClassName(self, "GuetermarktPlaceable");
    return self;
end;

function GuetermarktPlaceable:delete()
    removeTrigger(self.SprayerFillTriggerId);
    unregisterObjectClassName(self);
    GuetermarktPlaceable:superClass().delete(self);
end;

function GuetermarktPlaceable:deleteFinal()
    GuetermarktPlaceable:superClass().deleteFinal(self);
end;

function GuetermarktPlaceable:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not GuetermarktPlaceable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;
    local xmlFile = loadXMLFile("TempXML", xmlFilename);
    self.SprayerFillTriggerId = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.FillTrigger#index"));
    TipTrigger:onCreate(self.SprayerFillTriggerId);
    delete(xmlFile);
    return true;
end;

function GuetermarktPlaceable:update(dt)

	--- Inicio Funcion AutoSave
	g_currentMission.missionDynamicInfo.autoSave = true;
	g_currentMission.autoSaveInterval = 1000000 ;
	--- Fin Funcion AutoSave

end;
registerPlaceableType("GuetermarktPlaceable", GuetermarktPlaceable);

--- Inicio Funcion Consumos Normales
print("Cargado Funcion Consumos Normales");
HiredConsumesResources = {}

function HiredConsumesResources.getIsHired(self)

	return false;

end;
Vehicle.getIsHired = HiredConsumesResources.getIsHired;
--- Fin Funcion Consumos Normales
